body {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color: #000;
}

.container {
    position: relative;
    width: 50%;
    height: 100vh;
    overflow: hidden;
}

video,
canvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.overlay {
    pointer-events: none;
    z-index: 1;
}

#video {
    transform: scaleX(-1);
    border: 2px solid red;
}

#shaderOverlayCanvas {
    transform: scaleX(-1);
}
